Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-gtk-4.0/editgui.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions
editgui.h File Reference
`#include <gtk/gtk.h>`
`#include "editor.h"`
`#include "editgui_g.h"`

Go to the source code of this file.

## Data Structures

struct | editbar
struct | editinfobox

## Functions

gboolean | handle_edit_mouse_button_press (GtkGestureClick *gesture, int editor_mouse_button, double x, double y)
gboolean | handle_edit_mouse_button_release (GtkGestureClick *gesture, int editor_mouse_button, double x, double y)
gboolean | handle_edit_mouse_move (GtkEventControllerMotion *controller, gdouble x, gdouble y)
gboolean | handle_edit_key_press (guint keyval, GdkModifierType state)
void | editgui_create_widgets (void)
void | editgui_free (void)
struct editbar * | editgui_get_editbar (void)
struct editinfobox * | editgui_get_editinfobox (void)

## Function Documentation

## ◆ editgui_create_widgets()

void editgui_create_widgets | ( | void |  | ) |

Create all editor GUI widgets.

Definition at line 1822 of file editgui.c.

Referenced by setup_widgets().

## ◆ editgui_free()

void editgui_free | ( | void |  | ) |

Free everything allocated for the editgui.

Definition at line 1835 of file editgui.c.

Referenced by ui_main().

## ◆ editgui_get_editbar()

struct editbar * editgui_get_editbar | ( | void |  | ) |

Get the pointer for the editbar embedded in the client's GUI.

Definition at line 1788 of file editgui.c.

Referenced by editgui_free(), editgui_refresh(), editgui_run_tool_selection(), editgui_tileset_changed(), and setup_widgets().

## ◆ editgui_get_editinfobox()

struct editinfobox * editgui_get_editinfobox | ( | void |  | ) |

Return a pointer to the editor info box embedded in the client's GUI.

Definition at line 1853 of file editgui.c.

Referenced by editgui_free(), editgui_refresh(), editgui_run_tool_selection(), editgui_tileset_changed(), and editinfobox_spin_button_value_changed().

## ◆ handle_edit_key_press()

gboolean handle_edit_key_press | ( | guint | keyval,
|  | GdkModifierType | state
| ) |  |

Handle any kind of key press event.

Definition at line 1672 of file editgui.c.

## ◆ handle_edit_mouse_button_press()

gboolean handle_edit_mouse_button_press | ( | GtkGestureClick * | gesture,
|  | int | editor_mouse_button,
|  | double | x,
|  | double | y
| ) |  |

Pass on the gdk mouse event to the editor's handler.

Definition at line 924 of file editgui.c.

## ◆ handle_edit_mouse_button_release()

gboolean handle_edit_mouse_button_release | ( | GtkGestureClick * | gesture,
|  | int | editor_mouse_button,
|  | double | x,
|  | double | y
| ) |  |

Pass on the gdk mouse event to the editor's handler.

Definition at line 941 of file editgui.c.

## ◆ handle_edit_mouse_move()

gboolean handle_edit_mouse_move | ( | GtkEventControllerMotion * | controller,
|  | gdouble | x,
|  | gdouble | y
| ) |  |

Pass on the gdk mouse event to the editor's handler.

Definition at line 957 of file editgui.c.